%define major 	  0
%define	libname   libfilmgimp%{major}
%define minor 	  0
%define revision  16

%define ver	%{major}.%{revision}
%define rel	1mdk

Summary: A tool for manipulating images
Name:          filmgimp
Version:       0.16
Release:       %rel
License:       GPL
Group:	       Graphics
URL:           http://www.filmgimp.org
Source0:       %{name}-%{version}.tar.bz2
Source1:       icons-%{name}.tar.bz2
BuildRoot:     %{_tmppath}/%{name}-%{version}
BuildRequires: libgtk+-devel >= 1.2.8
BuildRequires: libtiff-devel
BuildRequires: libjpeg-devel
BuildRequires: zlib1-devel
BuildRequires: libpng-devel

%description 
Film Gimp is a motion picture editing tool primarily used for painting
and retouching of movies. With sixteen bits per component instead of
eight, Film Gimp has much more color depth capacity than Gimp.
Spencer Kimball and Peter Mattis created Gimp originally, releasing
the first version (0.54) in 1995. Film Gimp extended Gimp to operate
upon a series of images and in 16-bit linear and floating point color
depths. Film Gimp is currently based upon the HOLLYWOOD 1.0.4 branch
of Gimp.


%package -n %libname
Summary:	FilmGIMP libraries
Group:		System/Libraries
License:	GPL
Provides:	libfilmgimp = %version-%release

%description -n %libname
This package contains shared libraries used by filmGimp.

%package -n %{libname}-devel
Summary:	FilmGimp plugin and extension development kit
Group:		Development/C
Requires:	%{libname} = %version-%release
Provides:	filmgimp-devel
Provides:	libfilmgimp-devel = %version-%release

%description -n %{libname}-devel
Static libraries and header files for writing filmGIMP plugins and extensions.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%_menudir
cat > $RPM_BUILD_ROOT%_menudir/filmgimp <<EOF
?package(filmgimp): command="%{_bindir}/filmgimp" \
icon="filmgimp.png" \
section="Multimedia/Graphics" \
title="FilmGIMP" \
longtitle="A tool for manipulating images" \
needs="x11"
EOF

mkdir -p $RPM_BUILD_ROOT%_iconsdir
tar -xjf %{SOURCE1} -C $RPM_BUILD_ROOT%{_iconsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files
%defattr(-,root,root,0755)
%doc AUTHORS COPYING NEWS README
%{_bindir}/filmgimp
%{_mandir}/man1/filmgimp.1*
%_libdir/filmgimp/%ver/*
%_datadir/filmgimp/%ver/*
%_menudir/filmgimp
%_iconsdir/*.png
%_liconsdir/*.png
%_miconsdir/*.png

%files -n %libname
%defattr(-,root,root,755)
%doc COPYING
%_libdir/libfilmgimp*.so.*

%files -n %{libname}-devel
%defattr(-,root,root,0755)
%_bindir/filmgimptool
%_datadir/aclocal/filmgimp.m4
%_includedir/*
%_mandir/man1/filmgimptool.1*
%_libdir/*.so
%_libdir/lib*.a
%_libdir/lib*.la

%changelog
* Tue Mar 04 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.16-1mdk
- initial release.
